> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.alephant.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.alephant.io/_mcp/server.

# Get current user profile

GET https://alephant.io/api/v1/auth/me

Returns user and all workspace memberships with role and tier.

Reference: https://developers.alephant.io/api-reference/saa-s-api/auth/get-current-user-profile

## Servers

- `https://alephant.io` (Production, default)
- `https://dev.alephant.io` (Development)

## Request

### Headers

- `Authorization` (string, required) — Bearer \{access\_token}

## Response

### 200

data: user + workspaces

- `authProvider` (string, optional)
- `avatarUrl` (string, optional)
- `createdAt` (string, optional)
- `displayName` (string, optional)
- `email` (string, optional)
- `id` (string, optional)
- `lastLoginAt` (string, optional)
- `onboardingCompleted` (boolean, optional)
- `privateWorkspaceAccess` (enum, optional) — Access state for a user in a private-workspace deployment.
  - Allowed values: `member`, `bootstrap`, `awaiting_invite`
- `twoFactorEnabled` (boolean, optional)
- `workspaces` (list of object, optional)
  - `id` (string, optional)
  - `name` (string, optional)
  - `role` (string, optional)
  - `slug` (string, optional)
  - `tier` (string, optional)
  - `type` (string, optional)

## Examples

**Response**

```json
{
  "authProvider": "string",
  "avatarUrl": "string",
  "createdAt": "string",
  "displayName": "string",
  "email": "string",
  "id": "string",
  "lastLoginAt": "string",
  "onboardingCompleted": true,
  "privateWorkspaceAccess": "member",
  "twoFactorEnabled": true,
  "workspaces": [
    {
      "id": "string",
      "name": "string",
      "role": "string",
      "slug": "string",
      "tier": "string",
      "type": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://alephant.io/api/v1/auth/me"

headers = {"Authorization": "Authorization"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://alephant.io/api/v1/auth/me';
const options = {method: 'GET', headers: {Authorization: 'Authorization'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://alephant.io/api/v1/auth/me"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Authorization")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://alephant.io/api/v1/auth/me")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Authorization'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://alephant.io/api/v1/auth/me")
  .header("Authorization", "Authorization")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://alephant.io/api/v1/auth/me', [
  'headers' => [
    'Authorization' => 'Authorization',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://alephant.io/api/v1/auth/me");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Authorization");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Authorization"]

let request = NSMutableURLRequest(url: NSURL(string: "https://alephant.io/api/v1/auth/me")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```